name: Docker Build
on:
  push:
    branches:
      - master
  workflow_dispatch:

jobs:
  Build and Push Images:
    runs-on: docker
    container: catthehacker/ubuntu:act-latest
    steps:
      - name: Checkout code
        uses: actions/checkout@v3
        with:
          token: ${{ secrets.COASTALCOMMITSTOKEN }}
      - name: Login to CoastalCommits
        uses: actions/docker-login@v3
        with:
          registry: www.coastalcommits.com
          username: Seaswimmer
          password: ${{ secrets.COASTALCOMMITSTOKEN }}
      - name: Build and push MediaWiki image
        uses: actions/docker-build-push@v5
        with:
          context: ./mediawiki/
          file: ./mediawiki/Dockerfile
          push: true
          tags: www.coastalcommits.com/zenith/mediawiki:latest
      - name: Restart the MediaWiki stack
        run: |
          echo "Sending request to Portainer to restart the MediaWiki stack and pull the latest image"
          curl -X POST --insecure ${{ secrets.BUILDWEBHOOK }}
